<?php
###############################################################################
# G5-Scripts.de PHP Guestbook Script v1.2.8
# Copyright 2004-2010 G5-Scripts.de webmaster@G5-Scripts.de
# Last Modified                24.01.2010
# G5-Scripts.de                http://www.G5-Scripts.de
################################################################################
# COPYRIGHT/Lizenz-/Nutzungs- Bestimmungen
# Copyright 2004-2010 G5-Scripts.de  All Rights Reserved.
#
# Durch den Download und Benutzung der Software erklrt sich der Benutzer mit
# den AGBs und diesem Lizenzabkommen von G5-Scripts.de einverstanden.
# Diese Software darf frei benutzt werden, solange dieser
# Copyrights Hinweis sowie alle Verweise auf G5-Scripts.de, eingebaut
# innerhalb der Software, erhalten bleiben!
# Die Original-Software unverndert darf weitergegeben, jedoch nicht verkauft
# oder wiederverkauft werden.
# Die angepasste bzw. vernderte Software und Teile dieser drfen nicht
# weitergegeben, verkauft oder wiederverkauft werden.
#
# Dieses Lizenzabkommen beruht sich auf der aktuellen internationalen Gesetzeslage.
#
# Bei einem Versto gegen dieses Lizenzabkommen macht sich der Benutzer strafbar
# und kann rechtlich verfolgt werden.
#
################################################################################


function bIsValidCode($str){
	session_start();
	
	if(strtolower($str) == strtolower($_SESSION['captchacode'])){
		unset($_SESSION['captchacode']);
		return 1;
	}else{
		unset($_SESSION['captchacode']);
		return 0;
	}
}

/**
 * Funktion erstellt das Captcha Bildchen und gibt es per direct stream aus
 *
 * @return void
 *
 */
function PrintCaptcha(){
	global $script_pfad, $captcha_font;
	
	if(empty($captcha_font)) $captcha_font =  $script_pfad."/protected/data/verdana.ttf";
	
	session_start();
	if (empty($_SESSION['captchacode'])) {
		$str = "";
		for ($i = 0; $i < 5; $i++) {
			switch(rand(1,3)){
				case 1:
					$str .= chr(rand(97, 122));
					break;
				case 2:
					$str .= chr(rand(65, 90));
					break;
				case 3:
					$str .= chr(rand(48, 57));
					break;
			}
		}
		$_SESSION['captchacode'] = $str;
	}
	
	
	/* image erstellen */
	$imgWidth  = 80;
	$imgHeight = 25;
	$image = InitImage($imgWidth,$imgHeight);
	
	/* text schreiben - zeichen fr zeichen*/
	$x =0; $y=0;
	for ($i = 0; $i < 5; $i++) {
		$text			= substr($_SESSION['captchacode'], $i, 1);
		$font_size		= 15;
		$angle			= rand(-25, 25);
		$text_color		= imagecolorallocate($image, rand(80, 180), rand(0, 180), rand(0, 180));
		$box			= imagettfbbox($font_size, $angle, $captcha_font, $text);
		$x				+= ($x == 0) ? 3 : 15;
		//$y				= ($imgHeight - $box[5])-5;
		$y				= ($imgHeight - 0)-5;
		imagettftext($image, $font_size, $angle, $x, $y, $text_color, $captcha_font, $text);
	}
	
	header("Content-type: image/png");
	imagepng($image);
	imagedestroy ($image);
	
	
	exit;
}


/**
 * Funktion erstellt das Captcha Grund Bildchen mit Streffekten (Linien, Plygone, kreise)
 *
 * @return $image
 *
 */
function InitImage($imgWidth,$imgHeight){

	/* image erstellen */
	$image      = imagecreatetruecolor($imgWidth, $imgHeight);
	
	
	$backgr_col = imagecolorallocate($image, 238,239,239);
	$border_col = imagecolorallocate($image, 208,208,208);
	
	/* background */	
	imagefilledrectangle($image, 0, 0, $imgWidth, $imgHeight, $backgr_col);

	/* Lines */
	for($i=0; $i < 11; $i++){
		$x1 = $imgWidth/10*$i;
		$x2 = $x1 + 5;
		$line_col   = imagecolorallocate($image, rand(0,208),rand(0,208),rand(0,208));
		imageline($image, $x1, 0, $x2, $imgHeight, $line_col);
	}
	
	/* polygon */
	$point = array();
	for($i=0; $i < 20; $i++){
		$x1 = $imgWidth/10*$i;
		$x2 = $x1 + rand(5,9);
		$point[$i] = $x1;
		$i++;
		$point[$i] = 0;
		$i++;
		$point[$i] = $x2;
		$i++;
		$point[$i] = $imgHeight;
	}
	$line_col   = imagecolorallocate($image, 200, 155, 208);
	imagepolygon($image, $point, 10, $line_col);
	
	/* border */
	imagerectangle($image, 0, 0, $imgWidth-1, $imgHeight-1, $border_col);
	
	return $image;	
}


?>